Bug 1211299 (CVE-2015-0477) - CVE-2015-0477 OpenJDK: incorrect permissions check in resource loading (Beans, 8068320)
Summary: CVE-2015-0477 OpenJDK: incorrect permissions check in resource loading (Beans...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-0477
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1209063
TreeView+ depends on / blocked
 
Reported: 2015-04-13 14:23 UTC by Tomas Hoger
Modified: 2019-09-29 13:31 UTC (History)
5 users (show)

Fixed In Version: IcedTea6 1.13.7, IcedTea7 2.5.5
Doc Type: Bug Fix
Doc Text:
A flaw was discovered in the Beans component in OpenJDK. An untrusted Java application or applet could use these flaws to bypass certain Java sandbox restrictions.
Clone Of:
Environment:
Last Closed: 2015-05-20 20:39:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0806 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2015-04-15 20:54:17 UTC
Red Hat Product Errata RHSA-2015:0807 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2015-04-15 00:18:32 UTC
Red Hat Product Errata RHSA-2015:0808 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2015-04-15 20:44:55 UTC
Red Hat Product Errata RHSA-2015:0809 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2015-04-15 19:15:09 UTC
Red Hat Product Errata RHSA-2015:0854 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-15 15:34:03 UTC
Red Hat Product Errata RHSA-2015:0857 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 15:35:29 UTC
Red Hat Product Errata RHSA-2015:0858 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 15:32:13 UTC
Red Hat Product Errata RHSA-2015:1006 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2015-05-13 17:34:08 UTC
Red Hat Product Errata RHSA-2015:1007 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2015-05-13 17:33:04 UTC
Red Hat Product Errata RHSA-2015:1020 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2015-05-20 23:05:51 UTC
Red Hat Product Errata RHSA-2015:1021 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2015-05-20 22:36:22 UTC
Red Hat Product Errata RHSA-2015:1091 normal SHIPPED_LIVE Low: Red Hat Satellite IBM Java Runtime security update 2015-06-11 17:21:29 UTC

Description Tomas Hoger 2015-04-13 14:23:22 UTC
It was discovered that the Beans component in OpenJDK incorrectly given permissions to code when loading resources.  An untrusted Java application or applet could use this flaw to bypass certain Java sandbox restrictions and request resources which should not be accessible.

Comment 1 Tomas Hoger 2015-04-14 19:46:07 UTC
Public now via Oracle Critical Patch Update - April 2015.  Fixed in Oracle Java SE 6u95, 7u79, and 8u45.

External References:

http://www.oracle.com/technetwork/topics/security/cpuapr2015-2365600.html#AppendixJAVA

Comment 2 errata-xmlrpc 2015-04-14 20:18:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:0807 https://rhn.redhat.com/errata/RHSA-2015-0807.html

Comment 3 errata-xmlrpc 2015-04-15 15:16:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:0809 https://rhn.redhat.com/errata/RHSA-2015-0809.html

Comment 4 errata-xmlrpc 2015-04-15 16:58:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:0808 https://rhn.redhat.com/errata/RHSA-2015-0808.html

Comment 5 errata-xmlrpc 2015-04-15 16:58:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:0806 https://rhn.redhat.com/errata/RHSA-2015-0806.html

Comment 7 errata-xmlrpc 2015-04-17 10:29:23 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:0854 https://rhn.redhat.com/errata/RHSA-2015-0854.html

Comment 8 errata-xmlrpc 2015-04-20 14:08:51 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:0857 https://rhn.redhat.com/errata/RHSA-2015-0857.html

Comment 9 errata-xmlrpc 2015-04-20 14:28:36 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:0858 https://rhn.redhat.com/errata/RHSA-2015-0858.html

Comment 10 errata-xmlrpc 2015-05-13 13:33:53 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:1007 https://rhn.redhat.com/errata/RHSA-2015-1007.html

Comment 11 errata-xmlrpc 2015-05-13 13:35:34 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:1006 https://rhn.redhat.com/errata/RHSA-2015-1006.html

Comment 12 errata-xmlrpc 2015-05-20 18:36:48 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:1021 https://rhn.redhat.com/errata/RHSA-2015-1021.html

Comment 13 errata-xmlrpc 2015-05-20 19:06:21 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2015:1020 https://rhn.redhat.com/errata/RHSA-2015-1020.html

Comment 14 errata-xmlrpc 2015-06-11 13:21:58 UTC
This issue has been addressed in the following products:

  Red Hat Satellite Server v 5.6
  Red Hat Satellite Server v 5.7

Via RHSA-2015:1091 https://rhn.redhat.com/errata/RHSA-2015-1091.html


Note You need to log in before you can comment on or make changes to this bug.